<?php

namespace Drupal\monarch_migration_d7\Plugin\MigrationMapper;

use Drupal\migrate\Row;
use Drupal\migrate\MigrateSkipRowException;

/**
 * Maps fields.
 *
 * @MigrationMapper(
 *   id = "monarch_migration_d7_paragraphs",
 *   migration = "paragraphs",
 *   weight = -9999,
 * )
 */
class Paragraphs extends MigrationMapperD7Base {

  /**
   * {@inheritdoc}
   */
  public function processRow(Row $row) {
    $row->setDestinationProperty('type', $row->getSourceProperty('bundle'));
    $row->setDestinationProperty('id', $row->getSourceProperty('item_id'));
    $row->setDestinationProperty('revision_id', $row->getSourceProperty('revision_id'));
    $row->setDestinationProperty('parent_type', $row->getSourceProperty('parent_type'));
    $row->setDestinationProperty('parent_id', $row->getSourceProperty('parent_id'));
    $row->setDestinationProperty('parent_field_name', $row->getSourceProperty('field_name'));
  }

}
